
.loader {

    position: fixed;

    top: 0;

    left: 0;

    width: 100%;

    height: 100%;

    background-color: rgba(255, 255, 255, 0.5);

    z-index: 9999;

  }

  .loader-message {

    top: calc(50% + 50px);

    margin-top: 10px;

    font-size: 16px;

    font-weight: bold;

    text-align: center;

  }



  

  .loader::after {

    content: "";

    display: block;

    position: absolute;

    top: 50%;

    left: 50%;

    border-style: solid;

    border-color: #333 transparent transparent;

    border-width: 0.5em;

    border-radius: 50%;

    width: 2em;

    height: 2em;

    animation: loader 0.6s linear infinite;

  }

  

  @keyframes loader {

    to {

      transform: rotate(360deg);

    }

  }


